This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: Google use wrong "hightlight" argument
Type: Stage: resolved
Components: Documentation Versions: Python 3.10
process
Status: closed Resolution: third party
Dependencies: Superseder:
Assigned To: docs@python Nosy List: amirouche, docs@python, eric.smith, terry.reedy
Priority: normal Keywords:

Created on 2020-11-22 12:43 by amirouche, last changed 2022-04-11 14:59 by admin. This issue is now closed.

Messages (3)
msg381613 - (view) Author: Amirouche Boubekki (amirouche) Date: 2020-11-22 12:43
At the moment when I search for the following:

  https://www.google.com/search?q=ast+transformer+python+3.10

I have as second result this url:

  https://docs.python.org/dev/library/ast.html?highlight=s

I do not understand the purpose in the query string of `highlight=s`
msg381619 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2020-11-22 15:55
This seems to be a question for Google.
msg381978 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-11-28 06:14
With the same query, the first 4 responses for me are to the same page but for different Python versions.  None of the URLs include the query string.  `highlight=s` causes all the 's'es in the document to be highlighted, though with a different color than if I hit cntl-F, s, [Highlight All].  Yes, ask Google :-( -- or better yet, let it go as a random 'phase of the moon' AI glitch.  As Google's AI is constantly adjusted and retrained, I would not expect there to every be an exact repeat. There is nothing in your query to suggest that 's'es should be highlighted.
History
Date User Action Args
2022-04-11 14:59:38adminsetgithub: 86602
2020-11-28 06:14:37terry.reedysetstatus: pending -> closed

nosy: + terry.reedy
messages: + msg381978

resolution: third party
stage: resolved
2020-11-23 19:43:47eric.smithsetstatus: open -> pending
2020-11-22 15:55:06eric.smithsetnosy: + eric.smith
messages: + msg381619
2020-11-22 12:43:02amirouchecreate